Bug 1451134 - Review Request: lightdm-autologin-greeter - Autologin greeter using LightDM
Summary: Review Request: lightdm-autologin-greeter - Autologin greeter using LightDM
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Garrett Holmstrom
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-15 22:00 UTC by Neal Gompa
Modified: 2017-06-10 04:28 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-05-26 04:03:53 UTC
gholms: fedora-review+


Attachments (Terms of Use)

Description Neal Gompa 2017-05-15 22:00:54 UTC
Spec URL: http://kinginuyasha.enanocms.org/downloads/lightdm-autologin-greeter.spec
SRPM URL: http://kinginuyasha.enanocms.org/downloads/lightdm-autologin-greeter-0-0.git20170515.22021f3.1.fc25.src.rpm

Description:

lightd-autologin-greeter is a minimal greeter for LightDM that has the same autologin behavior as nodm, but being based on LightDM it stays on top of modern display manager requirements.


Fedora Account System Username: ngompa

Comment 2 Fabio Valentini 2017-05-15 22:28:13 UTC
Taken.

Comment 3 Garrett Holmstrom 2017-05-15 23:34:48 UTC
I had already completed the review at the time you took this bug, so here it is to save everyone the time.  All that needs fixing is the spelling of "behaviour".

The package's description exceeds the 80-character line length limit, but only once %{name} is expanded.  The packaging guidelines are unclear as to whether that limit applies only to the spec file or to the description that people will see, so while we shouldn't block the review on this, I recommend rewrapping it anyway so people on text consoles don't wind up with ragged text.


Mandatory review guidelines:
NO - rpmlint output:
     W: spelling-error %description -l en_US nodm -> nod, node, nods
     W: spelling-error %description -l en_US logout -> lo gout, lo-gout, log out
     W: spelling-error %description -l en_US startup -> start up, start-up, upstart
     W: spelling-error %description -l en_US behaviour -> behavior
     E: description-line-too-long C lightdm-autologin-greeter is a minimal greeter for LightDM that has the same autologin
     W: no-manual-page-for-binary lightdm-autologin-greeter
ok - Spec file name matches base package name
ok - License is acceptable (MIT)
ok - License field in spec is correct
     The upstream project is a derivative of a GPLv3+ project
ok - License files included in package if included in source package
ok - License files installed when any subpackage combination is installed
NO - Spec written in American English
     "behaviour" in description should be "behavior"
ok - Spec is legible
ok - Sources match upstream SHA256 unless altered to fix permissibility issues
     Theirs: c0b0be8d5d59cd44f7f4e52ab1bd27c985a8263bc6b2bcd1510e9a100a113214
     Yours:  c0b0be8d5d59cd44f7f4e52ab1bd27c985a8263bc6b2bcd1510e9a100a113214
ok - Build succeeds on at least one primary arch
ok - Build succeeds on all primary arches or has ExcludeArch + justification
ok - BuildRequires correct, justified where necessary
-- - Locales handled with %find_lang, not %_datadir/locale/*
-- - %post, %postun call ldconfig if package contains shared .so files
ok - No bundled libs
-- - Relocatability is justified
-- - Package owns all directories it creates
ok - No duplication in %files unless necessary for license files
ok - File permissions are sane
ok - Package contains permissible code or content
-- - Large docs go in -doc subpackage
-- - %doc files not required at runtime
-- - Static libs go in -static package or virtual Provides
-- - Development files go in -devel package
-- - -devel packages Require base with fully-versioned dependency, %_isa
ok - No .la files
-- - GUI app uses .desktop file, installs it with desktop-file-install
-- - File list does not conflict with other packages' without justification
ok - File names are valid UTF-8

Optional review guidelines:
-- - Query upstream about including missing license files
-- - Translations of description, summary
ok - Builds in mock
ok - Builds on all arches
-- - Scriptlets are sane
-- - Subpackages require base with fully-versioned dependency if sensible
-- - .pc file subpackage placement is sensible
ok - No file deps outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin
-- - Include man pages if available

Naming guidelines:
ok - Package names use only a-zA-Z0-9-._+ subject to restrictions on -._+
ok - Package names are sane
ok - No naming conflicts
ok - Version is sane
ok - Version does not contain ~
ok - Release is sane
ok - %dist tag
ok - Case used only when necessary
-- - Package names follow applicable language/addon rules

Packaging guidelines:
ok - Useful without external bits
ok - No kmods
-- - Pre-built binaries, libs removed in %prep
ok - Sources contain only redistributable code or content
-- - Pre-generated code contains original sources
ok - Spec format is sane
-- - noarch package with unported deps has correct ExclusiveArch
-- - Arch-specific sources/patches are applied, not included, conditionally
ok - Package obeys FHS, except libexecdir, /run, /usr/target
-- - %{_prefix}/lib only used for multilib-exempt packages
-- - Programs run before FS mounting use /run instead of /var/run
ok - No files under /srv, /usr/local, /home
-- - Files under /opt constrained to an approved /opt/fedora subdir
-- - File dependencies not broken by /usr move
ok - No BuildRoot, Group, %clean, Packager, Vendor, Copyright, Prereq
ok - Summary does not end in a period
ok - Requires correct, justified where necessary
-- - Recommends, Suggests, Supplements, Enhances are sane
ok - No boolean dependencies
ok - Automatic Requires, Provides filtered if necessary
ok - BuildRequires lack %{_isa}
-- - BuildRequires: pkgconfig(foo) where necessary
ok - Summary, description do not use trademarks incorrectly
ok - All relevant documentation is packaged, appropriately marked with %doc
ok - Relative path %doc files and %_pkgdocdir not mixed
ok - Doc files do not drag in extra dependencies (e.g. due to +x)
NO - Changelog in a prescribed format
     "0-0.git20170515.22021f3" does not match expanded %{version}-%{release}
-- - Code compilable with gcc is compiled with gcc
-- - Build honors applicable compiler flags or justifies otherwise
-- - PIE used for long-running/root daemons, setuid/filecap programs
-- - Useful -debuginfo package or disabled and justified
-- - Shared libs are versioned
ok - No static executables (except OCaml)
ok - System libraries used when supported by upstream
-- - Bundled libraries have Provides, link to upstream refusal to unbundle
ok - No bundled fonts
-- - Rpath absent or only used for internal libs
-- - Config files marked with %config(noreplace) or justified %config
ok - No config files under /usr
-- - Third party package manager configs acceptable, only in %_docdir
-- - Per-product configs handled correctly
-- - No init scripts
ok - .desktop files are sane
-- - desktop-file-install/validate run on .desktop files, as appropriate
ok - No desktop-file-install --vendor on >= F19
-- - AppData files included if possible
ok - Spec uses macros consistently
ok - Spec uses macros instead of hard-coded names where appropriate
-- - Spec uses macros for executables only when configurability is needed
-- - %makeinstall used only when alternatives don't work
ok - Macros in Summary, description are expandable at srpm build time
ok - Spec uses %{SOURCE#} instead of $RPM_SOURCE_DIR and %sourcedir
-- - SCL macros limited to SCL-specific packages
-- - Macro files go under %_rpmconfigdir/macros.d or %_sysconfdir/rpm
-- - Macro files named macros.%name
-- - Macro files not marked with %config
ok - Build uses only python/perl/shell+coreutils/lua/BuildRequired langs
-- - %global, not %define
-- - Package translating with gettext BuildRequires it
-- - Package translating with Linguist BuildRequires qt-devel
-- - Log file locations are sane
-- - Log files are rotated
ok - File ops preserve timestamps
-- - Parallel make
-- - Scriptlets write only to allowed locations
-- - %pretrans written in lua
-- - User, group creation handled correctly (See Packaging:UsersAndGroups)
-- - Web apps go in /usr/share/%name, not /var/www
-- - Conflicts are justified
-- - Patches have appropriate commentary
-- - Patches not applied directly from RPM_SOURCE_DIR
-- - Available test suites executed in %check
-- - sysctl.d files applied in %post with %sysctl_apply
-- - binfmt.d files applied in %post with %binfmt_apply
-- - tmpfiles.d used for /run, /run/lock
-- - Package renaming/replacement handled correctly
-- - IPv6 enabled if supported and IPv4 remains functional
-- - Changelogs for CVE fixes mention CVE numbers
ok - Package builds without network access
-- - Dependency bootstrapping handled correctly
-- - TLS-using code follows crypto policies (See Packaging:CryptoPolicies)

Python guidelines:
ok - Runtime Requires correct
     Automatic dependency on /usr/bin/pythonX pulls correct interpreter in
ok - BuildRequires: python2-devel and/or python3-devel
-- - Python 2 modules Provide: python2-*
-- - Python 3 modules Provide: python3-*
-- - Main python version modules Provide: python-*
-- - Spec uses versioned path macros
-- - All .py files packaged with .pyc, .pyo counterparts
ok - INSTALLED_FILES not used for %files list
-- - Includes .egg-info files/directories when generated
-- - Bytecode only optimized with appropriate optimization levels
-- - .py not under site-libs byte-compiled against correct runtimes
-- - Non-split packages named python2-* and python3-*
ok - Unversioned executables use OS-preferred runtime when possible
-- - Versioned executables provided with both -X and -X.Y suffixes
-- - Eggs built from source
-- - Eggs do not download deps during build
-- - Compat packages use easy_install -m to avoid conflicts
-- - At least one version of each module is importable w/o version
-- - Provides/Requires properly filtered

Comment 4 Neal Gompa 2017-05-16 00:07:34 UTC
Gah, I thought I had gotten all the "behaviours"... Fixed that and rewrapped the description accordingly.

Same links as earlier, reposted...

Spec URL: http://kinginuyasha.enanocms.org/downloads/lightdm-autologin-greeter.spec
SRPM URL: http://kinginuyasha.enanocms.org/downloads/lightdm-autologin-greeter-1.0-1.fc25.src.rpm

Comment 5 Garrett Holmstrom 2017-05-16 00:39:02 UTC
Eh, as long as I'm here I might as well finish the review off.  Sorry, Fabio.

Mandatory review guidelines:
ok - rpmlint output:
     W: spelling-error %description -l en_US nodm -> nod, node, nods
     W: spelling-error %description -l en_US logout -> lo gout, lo-gout, log out
     W: spelling-error %description -l en_US startup -> start up, start-up, upstart
     W: no-manual-page-for-binary lightdm-autologin-greeter
ok - Spec file name matches base package name
ok - License is acceptable (MIT)
ok - License field in spec is correct
     The upstream project is a derivative of a GPLv3+ project
ok - License files included in package if included in source package
ok - License files installed when any subpackage combination is installed
ok - Spec written in American English
ok - Spec is legible
ok - Sources match upstream SHA256 unless altered to fix permissibility issues
     Theirs: c0b0be8d5d59cd44f7f4e52ab1bd27c985a8263bc6b2bcd1510e9a100a113214
     Yours:  c0b0be8d5d59cd44f7f4e52ab1bd27c985a8263bc6b2bcd1510e9a100a113214
ok - Build succeeds on at least one primary arch
ok - Build succeeds on all primary arches or has ExcludeArch + justification
ok - BuildRequires correct, justified where necessary
-- - Locales handled with %find_lang, not %_datadir/locale/*
-- - %post, %postun call ldconfig if package contains shared .so files
ok - No bundled libs
-- - Relocatability is justified
-- - Package owns all directories it creates
ok - No duplication in %files unless necessary for license files
ok - File permissions are sane
ok - Package contains permissible code or content
-- - Large docs go in -doc subpackage
-- - %doc files not required at runtime
-- - Static libs go in -static package or virtual Provides
-- - Development files go in -devel package
-- - -devel packages Require base with fully-versioned dependency, %_isa
ok - No .la files
-- - GUI app uses .desktop file, installs it with desktop-file-install
-- - File list does not conflict with other packages' without justification
ok - File names are valid UTF-8

Optional review guidelines:
-- - Query upstream about including missing license files
-- - Translations of description, summary
ok - Builds in mock
ok - Builds on all arches
-- - Scriptlets are sane
-- - Subpackages require base with fully-versioned dependency if sensible
-- - .pc file subpackage placement is sensible
ok - No file deps outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin
-- - Include man pages if available

Naming guidelines:
ok - Package names use only a-zA-Z0-9-._+ subject to restrictions on -._+
ok - Package names are sane
ok - No naming conflicts
ok - Version is sane
ok - Version does not contain ~
ok - Release is sane
ok - %dist tag
ok - Case used only when necessary
-- - Package names follow applicable language/addon rules

Packaging guidelines:
ok - Useful without external bits
ok - No kmods
-- - Pre-built binaries, libs removed in %prep
ok - Sources contain only redistributable code or content
-- - Pre-generated code contains original sources
ok - Spec format is sane
-- - noarch package with unported deps has correct ExclusiveArch
-- - Arch-specific sources/patches are applied, not included, conditionally
ok - Package obeys FHS, except libexecdir, /run, /usr/target
-- - %{_prefix}/lib only used for multilib-exempt packages
-- - Programs run before FS mounting use /run instead of /var/run
ok - No files under /srv, /usr/local, /home
-- - Files under /opt constrained to an approved /opt/fedora subdir
-- - File dependencies not broken by /usr move
ok - No BuildRoot, Group, %clean, Packager, Vendor, Copyright, Prereq
ok - Summary does not end in a period
ok - Requires correct, justified where necessary
-- - Recommends, Suggests, Supplements, Enhances are sane
ok - No boolean dependencies
ok - Automatic Requires, Provides filtered if necessary
ok - BuildRequires lack %{_isa}
-- - BuildRequires: pkgconfig(foo) where necessary
ok - Summary, description do not use trademarks incorrectly
ok - All relevant documentation is packaged, appropriately marked with %doc
ok - Relative path %doc files and %_pkgdocdir not mixed
ok - Doc files do not drag in extra dependencies (e.g. due to +x)
ok - Changelog in a prescribed format
-- - Code compilable with gcc is compiled with gcc
-- - Build honors applicable compiler flags or justifies otherwise
-- - PIE used for long-running/root daemons, setuid/filecap programs
-- - Useful -debuginfo package or disabled and justified
-- - Shared libs are versioned
ok - No static executables (except OCaml)
ok - System libraries used when supported by upstream
-- - Bundled libraries have Provides, link to upstream refusal to unbundle
ok - No bundled fonts
-- - Rpath absent or only used for internal libs
-- - Config files marked with %config(noreplace) or justified %config
ok - No config files under /usr
-- - Third party package manager configs acceptable, only in %_docdir
-- - Per-product configs handled correctly
-- - No init scripts
ok - .desktop files are sane
-- - desktop-file-install/validate run on .desktop files, as appropriate
ok - No desktop-file-install --vendor on >= F19
-- - AppData files included if possible
ok - Spec uses macros consistently
ok - Spec uses macros instead of hard-coded names where appropriate
-- - Spec uses macros for executables only when configurability is needed
-- - %makeinstall used only when alternatives don't work
ok - Macros in Summary, description are expandable at srpm build time
ok - Spec uses %{SOURCE#} instead of $RPM_SOURCE_DIR and %sourcedir
-- - SCL macros limited to SCL-specific packages
-- - Macro files go under %_rpmconfigdir/macros.d or %_sysconfdir/rpm
-- - Macro files named macros.%name
-- - Macro files not marked with %config
ok - Build uses only python/perl/shell+coreutils/lua/BuildRequired langs
-- - %global, not %define
-- - Package translating with gettext BuildRequires it
-- - Package translating with Linguist BuildRequires qt-devel
-- - Log file locations are sane
-- - Log files are rotated
ok - File ops preserve timestamps
-- - Parallel make
-- - Scriptlets write only to allowed locations
-- - %pretrans written in lua
-- - User, group creation handled correctly (See Packaging:UsersAndGroups)
-- - Web apps go in /usr/share/%name, not /var/www
-- - Conflicts are justified
-- - Patches have appropriate commentary
-- - Patches not applied directly from RPM_SOURCE_DIR
-- - Available test suites executed in %check
-- - sysctl.d files applied in %post with %sysctl_apply
-- - binfmt.d files applied in %post with %binfmt_apply
-- - tmpfiles.d used for /run, /run/lock
-- - Package renaming/replacement handled correctly
-- - IPv6 enabled if supported and IPv4 remains functional
-- - Changelogs for CVE fixes mention CVE numbers
ok - Package builds without network access
-- - Dependency bootstrapping handled correctly
-- - TLS-using code follows crypto policies (See Packaging:CryptoPolicies)

Python guidelines:
ok - Runtime Requires correct
     Automatic dependency on /usr/bin/pythonX pulls correct interpreter in
ok - BuildRequires: python2-devel and/or python3-devel
-- - Python 2 modules Provide: python2-*
-- - Python 3 modules Provide: python3-*
-- - Main python version modules Provide: python-*
-- - Spec uses versioned path macros
-- - All .py files packaged with .pyc, .pyo counterparts
ok - INSTALLED_FILES not used for %files list
-- - Includes .egg-info files/directories when generated
-- - Bytecode only optimized with appropriate optimization levels
-- - .py not under site-libs byte-compiled against correct runtimes
-- - Non-split packages named python2-* and python3-*
ok - Unversioned executables use OS-preferred runtime when possible
-- - Versioned executables provided with both -X and -X.Y suffixes
-- - Eggs built from source
-- - Eggs do not download deps during build
-- - Compat packages use easy_install -m to avoid conflicts
-- - At least one version of each module is importable w/o version
-- - Provides/Requires properly filtered

Comment 6 Gwyn Ciesla 2017-05-17 01:54:50 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/lightdm-autologin-greeter

Comment 7 Fedora Update System 2017-05-17 11:26:35 UTC
lightdm-autologin-greeter-1.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-ef27585979

Comment 8 Fedora Update System 2017-05-17 11:27:10 UTC
lightdm-autologin-greeter-1.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0b7393a69e

Comment 9 Fedora Update System 2017-05-17 11:27:46 UTC
lightdm-autologin-greeter-1.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0d0ec741d4

Comment 10 Fedora Update System 2017-05-17 11:28:22 UTC
lightdm-autologin-greeter-1.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-34b2988430

Comment 11 Fedora Update System 2017-05-17 19:08:43 UTC
lightdm-autologin-greeter-1.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-34b2988430

Comment 12 Fedora Update System 2017-05-17 21:30:52 UTC
lightdm-autologin-greeter-1.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-ef27585979

Comment 13 Fedora Update System 2017-05-17 23:08:30 UTC
lightdm-autologin-greeter-1.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0b7393a69e

Comment 14 Fedora Update System 2017-05-17 23:13:00 UTC
lightdm-autologin-greeter-1.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0d0ec741d4

Comment 15 Fedora Update System 2017-05-23 15:42:51 UTC
lightdm-autologin-greeter-1.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-34b2988430

Comment 16 Fedora Update System 2017-05-23 15:53:38 UTC
lightdm-autologin-greeter-1.0-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-34b2988430

Comment 17 Fedora Update System 2017-05-23 15:54:23 UTC
lightdm-autologin-greeter-1.0-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0d0ec741d4

Comment 18 Fedora Update System 2017-05-23 15:56:40 UTC
lightdm-autologin-greeter-1.0-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-ef27585979

Comment 19 Fedora Update System 2017-05-23 16:08:42 UTC
lightdm-autologin-greeter-1.0-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0b7393a69e

Comment 20 Fedora Update System 2017-05-24 07:06:00 UTC
lightdm-autologin-greeter-1.0-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0b7393a69e

Comment 21 Fedora Update System 2017-05-24 07:10:14 UTC
lightdm-autologin-greeter-1.0-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0d0ec741d4

Comment 22 Fedora Update System 2017-05-24 07:25:59 UTC
lightdm-autologin-greeter-1.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-ef27585979

Comment 23 Fedora Update System 2017-05-25 19:17:05 UTC
lightdm-autologin-greeter-1.0-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-34b2988430

Comment 24 Fedora Update System 2017-05-26 04:03:53 UTC
lightdm-autologin-greeter-1.0-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2017-06-06 11:23:55 UTC
lightdm-autologin-greeter-1.0-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2017-06-09 19:00:20 UTC
lightdm-autologin-greeter-1.0-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2017-06-10 04:28:44 UTC
lightdm-autologin-greeter-1.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.